Skip to main content
PATCH
/
v1
/
keys
/
{id}
/
limits
Set RPM / TPM rate limits on a key
curl --request PATCH \
  --url https://api.example.com/v1/keys/{id}/limits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rpmLimit": 60,
  "tpmLimit": 100000
}
'
import requests

url = "https://api.example.com/v1/keys/{id}/limits"

payload = {
"rpmLimit": 60,
"tpmLimit": 100000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rpmLimit: 60, tpmLimit: 100000})
};

fetch('https://api.example.com/v1/keys/{id}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "rpmLimit": 60,
  "tpmLimit": 100000
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
rpmLimit
number | null

Max requests per minute. null or 0 = unlimited.

Example:

60

tpmLimit
number | null

Max tokens per minute. null or 0 = unlimited.

Example:

100000

Response

Updated rate limits

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

rpmLimit
number | null
required
Example:

60

tpmLimit
number | null
required
Example:

100000